Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class WLLogRecord

    java.lang.Object
      java.util.logging.LogRecord
          weblogic.logging.WLLogRecord

All Implemented Interfaces:
  Externalizable, Serializable

    public class WLLogRecord

extends LogRecord
implements Externalizable

WebLogic extensions to java.util.logging.LogRecord Defines the fields in the log records which are specific to WLS.

See Also:
  Serialized Form

Constructor Summary
`WLLogRecord(Level level, String msg)`
`WLLogRecord(Level level, String msg, Throwable t)`

Method Summary
`String` | `getDiagnosticContextId()` Gets the diagnostic context id associated with this log event.
`String` | `getFormattedDate()` Gets the formatted date string
`String` | `getId()`
`String` | `getLogMessage()`
`String` | `getMachineName()`
`String` | `getServerName()`
`int` | `getSeverity()`
`String` | `getSubsystem()`
`String` | `getThreadName()`
`ThrowableInfo` | `getThrowableInfo()` Gets the exception associated with this log event.
`long` | `getTimestamp()`
`String` | `getTransactionId()`
`String` | `getUserId()`
`void` | `setThrowableInfo(ThrowableInfo thInfo)`
`void` | `setThrown(Throwable t)`

Methods inherited from class java.util.logging.LogRecord
`getLevel, getLoggerName, getMessage, getMillis, getParameters, getResourceBundle, getResourceBundleName, getSequenceNumber, getSourceClassName, getSourceMethodName, getThreadID, getThrown, setLevel, setLoggerName, setMessage, setMillis, setParameters, setResourceBundle, setResourceBundleName, setSequenceNumber, setSourceClassName, setSourceMethodName, setThreadID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Constructor Detail

### WLLogRecord

    public WLLogRecord(Level level,
                       String msg)

### WLLogRecord

    public WLLogRecord(Level level,
                       String msg,
                       Throwable t)

Method Detail

### setThrown

    public void setThrown(Throwable t)

  Overrides:
    `setThrown` in class `LogRecord`

### getFormattedDate

    public String getFormattedDate()

  Gets the formatted date string

  Returns:

### getId

    public String getId()

### getMachineName

    public String getMachineName()

### getServerName

    public String getServerName()

### getThreadName

    public String getThreadName()

### getUserId

    public String getUserId()

### getTransactionId

    public String getTransactionId()

### getSeverity

    public int getSeverity()

### getSubsystem

    public String getSubsystem()

### getTimestamp

    public long getTimestamp()

### getThrowableInfo

    public ThrowableInfo getThrowableInfo()

  Gets the exception associated with this log event.

### getLogMessage

    public String getLogMessage()

### getDiagnosticContextId

    public String getDiagnosticContextId()

  Gets the diagnostic context id associated with this log event.

### setThrowableInfo

    public void setThrowableInfo(ThrowableInfo thInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD